<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2024 Antonin Kaplan -->
<component type="desktop-application">
  <id>com.angoosh.RDPConnect</id>
  
  <name>RDP Connect</name>
  <summary>Connect to remote desktop</summary>
  
  <metadata_license>CC0-1.0</metadata_license>
  <project_license>Apache-2.0</project_license>
  
  <developer id="com.angoosh">
    <name>Antonin Kaplan</name>
  </developer>
  
  <icon type="remote">https://gitea.farmdash.org/angoosh/Flatpaks/raw/commit/f7dd9eba0ef64de37b82cde8f57781cda2ca7944/com.angoosh.RDPConnect/com.angoosh.RDPConnect.svg</icon>
  
  <description>
    <p>Simple GUI for FreeRDP</p>
    <p>Code launched sdl-freerdp so it's gui can be used for confirming keys and other stuff if nessesary.</p>
    <p>By default it launches FreeRDP only with <code> /v /u /p </code> tags. Aditional tags can be added in the settings json located in <code> ~/.config/rdpconnect/settings.json </code> in the <code> extra_params </code> array</p>
    <p> Example settings.json which works with all my 2 multimonitor setups (one with 2 and one with 3 monitors): <code> {
    "extra_params": [
        "/monitors:1,0",
        "+dynamic-resolution"
    ],
    "save_conn": false
}   
    </code></p>
  </description>
  
  <launchable type="desktop-id">com.angoosh.RDPConnect.desktop</launchable>
  
  <branding>
    <color type="primary" scheme_preference="light">#deddda</color>
    <color type="primary" scheme_preference="dark">#5e5c64</color>
  </branding>
  
  <content_rating type="oars-1.1" />
  
  <url type="homepage">https://gitea.farmdash.org/angoosh/Flatpaks/src/branch/main/com.angoosh.RDPConnect</url>
  <url type="bugtracker">https://gitea.farmdash.org/angoosh/Flatpaks/issues</url>
  <url type="vcs-browser">https://gitea.farmdash.org/angoosh/Flatpaks/src/branch/main/com.angoosh.RDPConnect</url>
  
  <releases>
    <release version="1.0.3" date="2024-11-20">
      <url type="details">https://gitea.farmdash.org/angoosh/Flatpaks/commit/2093a21ecfa86c20f15b9b44897d1c7bebfafd79</url>
      <description>
        <p>Cropped screenshot and made background invisible</p>
      </description>
    </release>
    <release version="1.1.0" date="2024-11-22">
      <url type="details">https://gitea.farmdash.org/angoosh/Flatpaks/src/tag/1.1.0</url>
      <description>
        <p>Created about section, borgar menu, settings menu and we have easy settings for the rdp connection now</p>
      </description>
    </release>
    <release version="1.2.0" date="2025-02-19">
      <url type="details">https://gitea.farmdash.org/angoosh/Flatpaks/src/tag/1.2.0</url>
      <description>
        <p>Updated to newest FreeRDP which seems to fix issues with hanging / freezing</p>
      </description>
    </release>
    <release version="1.3.0" date="2025-09-16">
      <url type="details">https://gitea.farmdash.org/angoosh/Flatpaks/src/tag/1.3.0</url>
      <description>
        <p>Changed pasword storage from file to system keyring. Still using file for compatibility. Added connection history menu.</p>
      </description>
    </release>
  </releases>
  
  <screenshots>
    <screenshot type="default">
      <image>https://gitea.farmdash.org/angoosh/Flatpaks/raw/commit/2093a21ecfa86c20f15b9b44897d1c7bebfafd79/com.angoosh.RDPConnect/Screenshot0.png</image>
    </screenshot>
  </screenshots>
</component>
